- Searches for activities using predefined parameters
Gets all of the activities in the system.
Creates a new activity record that does not already exist.
Execute Batch Operations
Can Be Edited in Portal
Returns a list of records with the specified contact_id
Sends out a preview of the CRC notification email
Processes an existing activity
Returns a activity from the system by its ID.
Returns a activity from the system by its ID.
Partially updates a activity with the specified ID.
Updates a activity with the specified ID.
Searches for activities u...
Searches for activities using predefined parameters
Security
knox-authorizer
The activity that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/activities/{tenantId}/search
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/activities/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/activities/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"ids": [
"string"
],
"name": "string",
"processed_date": [
"2019-08-24T14:15:22Z"
],
"quantity": [
0.1,
0.1
],
"status": [
"string",
"string"
],
"sys_created_at": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"total_number_of_credits": [
0.1,
0.1
],
"type_id": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }